summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-03-14 09:22:45 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-03-14 09:22:45 +0000
commit41e4df60d4292f167ee99c748fb7b786fb104ff6 (patch)
tree7e4f335dba434856d79a904b4f05c5291e410b76
parent8c86f790f774f7fc9284f27bb4a3f09ea3484d3f (diff)
downloadaports-41e4df60d4292f167ee99c748fb7b786fb104ff6.tar.bz2
aports-41e4df60d4292f167ee99c748fb7b786fb104ff6.tar.xz
testing/ttf-linux-libertine: new aport
Serif (Libertine) and Sans Serif (Biolinum) OpenType fonts with large Unicode coverage http://linuxlibertine.sourceforge.net/
-rw-r--r--testing/ttf-linux-libertine/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/ttf-linux-libertine/APKBUILD b/testing/ttf-linux-libertine/APKBUILD
new file mode 100644
index 00000000..2837358c
--- /dev/null
+++ b/testing/ttf-linux-libertine/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ttf-linux-libertine
+pkgver=4.4.1
+pkgrel=0
+pkgdesc="Serif (Libertine) and Sans Serif (Biolinum) OpenType fonts with large Unicode coverage"
+url="http://linuxlibertine.sourceforge.net/"
+license="GPL custom:OFL"
+makedepends=
+depends="fontconfig encodings mkfontdir mkfontscale"
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/linuxlibertine/LinLibertineFont-$pkgver.tgz"
+
+build () {
+ local f
+ # strip off the version numbers from the filenames.
+ cd "$srcdir"/LinLibertineFont
+ for f in *.ttf; do
+ mv $f ${f%-[0-9]*}.ttf
+ done
+ for f in *.otf; do
+ mv $f ${f%-[0-9]*}.otf
+ done
+}
+
+package() {
+ cd "$srcdir"/LinLibertineFont
+ install -d -m 755 "$pkgdir"/usr/share/fonts/OTF \
+ "$pkgdir"/usr/share/fonts/TTF
+ install -m644 *.ttf "$pkgdir"/usr/share/fonts/TTF || return 1
+ install -m644 *.otf "$pkgdir"/usr/share/fonts/OTF || return 1
+ install -D -m644 OFL.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+ install -D -m644 LICENCE.txt "$pkgdir"/usr/share/licenses/$pkgname/README || return 1
+}
+md5sums="297f537b31693c92c1aceaa0aeccb115 LinLibertineFont-4.4.1.tgz"